org.apache.xerces.impl.xs

## Class XMLSchemaValidator.KeyValueStore

- java.lang.Object
- - org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
  - - org.apache.xerces.impl.xs.XMLSchemaValidator.KeyValueStore

All Implemented Interfaces:
  ValueStore

Enclosing class:
  XMLSchemaValidator

    protected class XMLSchemaValidator.KeyValueStore
    extends XMLSchemaValidator.ValueStoreBase

Key value store.

Author:
  Andy Clark, IBM

### Field Summary

### Fields inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase

`fFieldCount, fFields, fIdentityConstraint, fItemValueTypes, fLocalItemValueTypes, fLocalValues, fLocalValueTypes, fValues, fValuesCount, fValueTypes`

### Constructor Summary

Constructors
Constructor and Description
`KeyValueStore(UniqueOrKey key)` Constructs a key value store.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkDuplicateValues()` Called when a duplicate value is added.

### Methods inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase

`addValue, append, clear, contains, contains, endDocument, endDocumentFragment, endValueScope, reportError, startValueScope, toString, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### KeyValueStore

    public KeyValueStore(UniqueOrKey key)

Constructs a key value store.

### Method Detail

#### checkDuplicateValues

    protected void checkDuplicateValues()

Called when a duplicate value is added.

Overrides:
  `checkDuplicateValues` in class `XMLSchemaValidator.ValueStoreBase`